org.apache.poi.hwpf.model

## Class Xst

- java.lang.Object
- - org.apache.poi.hwpf.model.Xst

-     public class Xst
      extends java.lang.Object

  The Xst structure is a string. The string is prepended by its length and is not null-terminated.

  Documentation quoted from Page 424 of 621. [MS-DOC] -- v20110315 Word (.doc) Binary File Format

  Author:
    Sergey Vladimirov (vlsergey {at} gmail {dot} com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Xst()`
    `Xst(byte[] data, int startOffset)`
    `Xst(java.lang.String str)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getAsJavaString()`
    `int` | `getCch()` An unsigned integer that specifies the number of characters that are contained in the rgtchar array.
    `char[]` | `getRgtchar()` An array of 16-bit Unicode characters that make up a string.
    `int` | `getSize()`
    `int` | `hashCode()`
    `void` | `serialize(byte[] data, int startOffset)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Xst

          public Xst()

    - #### Xst

          public Xst(byte[] data,
                     int startOffset)

    - #### Xst

          public Xst(java.lang.String str)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getAsJavaString

          public java.lang.String getAsJavaString()

    - #### getCch

          public int getCch()

      An unsigned integer that specifies the number of characters that are contained in the rgtchar array.

    - #### getRgtchar

          public char[] getRgtchar()

      An array of 16-bit Unicode characters that make up a string.

    - #### getSize

          public int getSize()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### serialize

          public void serialize(byte[] data,
                                int startOffset)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.